"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateInfiniteQueries = void 0;
var chalk_1 = __importDefault(require("chalk"));
var validateInfiniteQueries = function (config) {
    if (Array.isArray(config.infiniteQueries)) {
        return config.infiniteQueries;
    }
    throw new Error(chalk_1.default.bold.redBright("Invalid type for 'infiniteQueries' option: expecting an array.\n"));
};
exports.validateInfiniteQueries = validateInfiniteQueries;
