"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateOutputPath = void 0;
var chalk_1 = __importDefault(require("chalk"));
var validateOutputPath = function (config) {
    if (typeof config.outputPath !== 'string') {
        throw new Error(chalk_1.default.bold.redBright("Invalid type for 'outputPath' option: expecting a string.\n"));
    }
    return config.outputPath;
};
exports.validateOutputPath = validateOutputPath;
