"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypesImports = void 0;
var getTypesImports = function (query, mutationArgsType, types, resultType) {
    var isScalar = types.find(function (t) { return t.name === resultType; }) === undefined;
    var argsTypeImport = mutationArgsType === 'unknown'
        ? ''
        : "import { ".concat(mutationArgsType, " as Args } from './../types/mutations/").concat(query, "/").concat(mutationArgsType, ".type';");
    var resultTypeImport = isScalar
        ? ''
        : "import { ".concat(resultType, " } from './../types/api-types';");
    return "".concat(argsTypeImport, "\n").concat(resultTypeImport, "\n");
};
exports.getTypesImports = getTypesImports;
