"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepMergeContent = void 0;
exports.deepMergeContent = "import { isObject } from './is-object';\n\ntype O = Record<string, unknown>;\n\nexport const deepMerge = (target: O, ...sources: Array<O>): O => {\n  if (!isObject(target) || !sources.length || sources.length === 0) {\n    return target;\n  }\n\n  const source = sources.shift();\n  if (!isObject(source)) {\n    return deepMerge(target, ...sources);\n  }\n\n  for (const key in source) {\n    if (isObject(source[key])) {\n      if (!target[key]) {\n        Object.assign(target, { [key]: {} });\n      }\n\n      deepMerge(target[key] as O, source[key] as O);\n    } else {\n      Object.assign(target, { [key]: source[key] });\n    }\n  }\n\n  return deepMerge(target, ...sources);\n};";
