"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamicQuerySelectorToDocumentContent = void 0;
exports.dynamicQuerySelectorToDocumentContent = "import { QuerySelector } from './../types/query-selector';\nimport { queryReplacer } from './query-replacer';\n\nconst variablesRegex = /\"(.*)\"(:?)( {|)|( true,?)(\\n)/g;\nconst queriesNameRegex = /^ {2}(\\b.*) {$/gm;\n\nconst getAllCaptureGroups = (target: string, regex: RegExp): Array<string> => {\n  const matches = target.matchAll(regex);\n\n  const captured: Array<string> = [];\n  for (const m of matches) {\n    captured.push(m[1]);\n  }\n\n  return captured;\n};\n\nexport const dynamicQuerySelectorToDocument = <TVariables = unknown>(\n  selector: QuerySelector,\n  variables?: TVariables,\n): string => {\n  let queryContent = JSON.stringify(selector, null, 2).replace(\n    variablesRegex,\n    '$1$3$5',\n  );\n\n  const queries = getAllCaptureGroups(queryContent, queriesNameRegex);\n\n  queries.forEach((query) => {\n    const replaceArgs = queryReplacer[query](variables);\n    if (replaceArgs) {\n      queryContent = queryContent.replace(...replaceArgs);\n    }\n  });\n\n  return `query ${queryContent}`;\n};\n";
