"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetcherHookContent = void 0;
var fetcherHookContent = function (apiUrl) { return "const endpointUrl = ".concat(apiUrl.startsWith('http')
    ? "'".concat(apiUrl, "'")
    : "process.env.".concat(apiUrl, " || '").concat(apiUrl, "_NOT_SET'"), ";\n\nexport const useFetchData = <TData>(\n  initialQuery: string,\n  options?: RequestInit['headers'],\n): ((variables?: unknown, query?: string) => Promise<TData>) => {\n  return async (variables?: unknown, query?: string) => {\n    const result = await fetch(endpointUrl, {\n      method: 'POST',\n      headers: {\n        'Content-Type': 'application/json',\n        ...options,\n        // <- Set your custom headers here\n      },\n      body: JSON.stringify({\n        query: query ? query : initialQuery,\n        variables,\n      }),\n    });\n\n    const json = await result.json();\n\n    if (json.errors) {\n      const { message } = json.errors[0] || {};\n      throw new Error(message || 'Error ...');\n    }\n\n    return json.data;\n  };\n};\n"); };
exports.fetcherHookContent = fetcherHookContent;
