"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypesWithEnumsObject = void 0;
var getTypesWithEnumsObject = function (typesObject, types) {
    var enums = types.filter(function (t) { return t.type === 'enum'; }).map(function (t) { return t.name; });
    return Object.entries(typesObject).reduce(function (acc, _a) {
        var _b = __read(_a, 2), key = _b[0], value = _b[1];
        var onlyEnums = Object.entries(value).reduce(function (a, _a) {
            var _b = __read(_a, 2), k = _b[0], v = _b[1];
            if (enums.includes(v)) {
                a[k] = v;
            }
            return a;
        }, {});
        if (Object.keys(onlyEnums).length === 0) {
            return acc;
        }
        acc[key] = onlyEnums;
        return acc;
    }, {});
};
exports.getTypesWithEnumsObject = getTypesWithEnumsObject;
