"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateQuerySelectorResult = void 0;
var get_query_fields_1 = require("./query-fields/get-query-fields");
var generateQuerySelectorResult = function (queryObject, types) {
    var _a, _b;
    var queries = (_b = (_a = queryObject.fields) === null || _a === void 0 ? void 0 : _a.reduce(function (acc, _a) {
        var _b, _c, _d, _e;
        var name = _a.name, type = _a.type;
        var target = '';
        var maybeArray = '';
        if (((_b = type.ofType) === null || _b === void 0 ? void 0 : _b.kind) === 'LIST') {
            target = (_d = (_c = type.ofType.ofType) === null || _c === void 0 ? void 0 : _c.ofType) === null || _d === void 0 ? void 0 : _d.name;
            maybeArray = '[]';
        }
        else if (((_e = type.ofType) === null || _e === void 0 ? void 0 : _e.kind) === 'OBJECT') {
            target = type.ofType.name;
        }
        var _f = (0, get_query_fields_1.getQueryFields)(name, target, types, false), queryOutput = _f.queryOutput, queryImports = _f.queryImports;
        return __spreadArray(__spreadArray([], __read(acc), false), [
            {
                name: name.charAt(0).toUpperCase() + name.slice(1),
                content: "".concat(queryOutput).concat(maybeArray),
                imports: queryImports,
            },
        ], false);
    }, [])) !== null && _b !== void 0 ? _b : [];
    return queries;
};
exports.generateQuerySelectorResult = generateQuerySelectorResult;
