"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatScalar = void 0;
var set_optional_1 = require("./set-optional");
var propertyTypeRegex = /:.*/g;
var formatScalar = function (acc, property, booleanize, type, maybeArrayAnnotation) {
    return acc +
        property.replace(propertyTypeRegex, booleanize
            ? "".concat((0, set_optional_1.setOptional)(property.includes('?:')), ": boolean; ")
            : ": ".concat(type).concat(maybeArrayAnnotation, "; "));
};
exports.formatScalar = formatScalar;
