"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateGraphqlTypeToTypescript = void 0;
var console_messages_1 = require("../../../cli/console/console.messages");
var typesMapping = {
    ID: 'string',
    String: 'string',
    Int: 'number',
    Float: 'number',
    Boolean: 'boolean',
    DateTime: 'string',
};
var translateGraphqlTypeToTypescript = function (name) {
    if (name === null || name === undefined) {
        (0, console_messages_1.displayWarning)("Missing type for ".concat(name));
    }
    return typesMapping[name !== null && name !== void 0 ? name : 'unknown'];
};
exports.translateGraphqlTypeToTypescript = translateGraphqlTypeToTypescript;
