export declare const deepReplaceTypeContent = "export type DeepReplace<Input, Target> = Input extends object\n  ? Target extends Array<infer O>\n    ? O extends object\n      ? {\n          [Key in keyof Input]: Key extends keyof O\n            ? DeepReplace<Input[Key], O[Key]>\n            : never;\n        }[]\n      : O\n    : Target extends object\n    ? {\n        [Key in keyof Input]: Key extends keyof Target\n          ? DeepReplace<Input[Key], Target[Key]>\n          : never;\n      }\n    : // scalar\n      Target\n  : //scalar\n    Target;\n";
